Subject: Re: bug#27269: Sed --in-place is messing NTFS file permissions

From: Assaf Gordon <[email-masked]>
Date: Tue, 9 Oct 2018 05:24:18 -0600

severity 27269 wishlist
stop

Hello,

> On Wed, Nov 15, 2017 at 2:43 AM, Assaf Gordon <[email-masked]> wrote:
>> One can perhaps infer that fsetxattr/fgetxattr do not work on NTFS
>> mounts, but also don't fail with ENOTSUP.
In a follow-up thread in bug-gnulib@ [1], Paul Eggert wrote [2]:

   "This sounds like a bug inside the kernel then, in the ntfs code
   presumably. Perhaps we could work around the bug in Gnulib, but that
   sounds a bit expensive."

[1] https://lists.gnu.org/archive/html/bug-gnulib/2017-11/msg00031.html
[2] https://lists.gnu.org/archive/html/bug-gnulib/2017-11/msg00035.html

I'm therefore marking this as a "wishlist" item (but keeping it open, 
for future improvements).

regards,
  - assaf